Redmine - Feature #33859

Add a list of supported languages by the code highlighter to the help
2020-08-17 08:14 - Mizuki ISHIKAWA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed

Description

It's useful to be able to see the languages that syntax highlighting supports in your static files so you don't have to switch to an
external site(https:/redmine.org/projects/redmine/wiki/RedmineCodeHighlightingLanguages) every time.
Also, having a list of supported languages as an html file is useful when different Redmine versions support different languages.

I would like to see a list of languages by clicking the links in the reference as below.
Related issues:
Related to Redmine - Feature #36594: Relax rouge version dependency in Gemfile Closed
Related to Redmine - Feature #40681: Dynamic generation of supported code hig... Closed

Associated revisions

Revision 21298 - 2021-12-05 06:00 - Go MAEDA
Add a list of supported languages by the code highlighter to the help (#33859).

Contributed by Mizuki ISHIKAWA.

Revision 21401 - 2022-02-04 04:02 - Go MAEDA
Escape HTML in the code highlighter help (#33859).

History

#1 - 2020-08-17 08:28 - Mizuki ISHIKAWA
- File feature-33859-only-english-sample.patch added

The attached patch is a sample that adds a link to the English reference only.
The content of languages_supported_by_syntax_highlighting.html is English, and it is difficult to make the description of the supported language in it
multilingual.

Since languages_supported_by_syntax_highlighting.html is useful for checking the distinguished name of a language even if it is in English, | think
you can link to languages_supported_by_syntax_highlighting.html from other language references.

#2 - 2021-09-08 16:37 - Go MAEDA
- File 0001-Add-the-list-of-all-supported-languages-by-the-synta.patch added
- Category changed from Ul to Documentation

- Target version set to Candidate for next major release

Updated the patch:

Updated for the current trunk (r21213)

Updated help files for all languages

Slightly changed HTML markup

Changed the file name shorter and consistent with RedmineCodeHighlightinglLanguages

#3 - 2021-09-23 09:31 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0
https://redmine.org/projects/redmine/wiki/RedmineCodeHighlightingLanguages
https://www.redmine.org/projects/redmine/repository/svn/revisions/21213
https://www.redmine.org/projects/redmine/wiki/RedmineCodeHighlightingLanguages

Setting the target version to 5.0.0.

#4 - 2021-12-05 05:57 - Go MAEDA

- Subject changed from Check the files supported by syntax highlighting in static file to Add a list of supported languages by the code highlighter to the
help

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the changes. Thank you for your contribution.

#5 - 2022-02-04 04:11 - Go MAEDA

Escaped HTML special characters inside <td> in r21401. The following is the one-liner that | used to generate the updated HTML.

bin/rails r 'Rouge::Lexer.all.sort_by(&:tag).each {|lexer| desc = String.new("#{lexer.desc}"); desc << " [alia
ses: #{lexer.aliases.join(%ql,|)}]" if lexer.aliases.any? ; puts "<tr>\n <td>#{lexer.tag}</td>\n <td>#{CGI.e
scapeHTML (desc) }</td>\n</tr>"}"'

#6 - 2022-02-09 19:32 - Holger Just

- Related to Feature #36594: Relax rouge version dependency in Gemfile added

#7 - 2024-05-11 09:33 - Go MAEDA
- Related to Feature #40681: Dynamic generation of supported code highlighting languages in help section added
